#include "Dezibot.h"

Dezibot dezibot;

void setup() {
  dezibot.lightDetection.begin();
  //dezibot.motion.detection.end();
  // put your setup code here, to run once:
  Serial.begin(115200);
  // Wait for Serial to init
  while (!Serial) {
    ;;
  }
  delay(1000);
  // Test if SFH325 (Q3) is working correctly
  char light_value = dezibot.lightDetection.getValue(DL_FRONT);
  if (light_value != UINT16_MAX) {
    Serial.printf("Light detection seems to be working (detected value: %d). Starting measurements...\r\n", light_value);
  } else {
    Serial.printf("Light detection does not seem to be working correctly (detected value: %d).\n",light_value);
    exit(0);
  }
  Serial.println("Killing Serial peripheral now to not influence anything. Goodbye!");
  delay(1000);
  Serial.flush();
  Serial.end();
  delay(1000);
}

void loop() {
  // put your main code here, to run repeatedly:
  dezibot.lightDetection.getValue(DL_FRONT);
  delay(10);
}